double broj = Convert.ToDouble(Console.ReadLine());

              double br=0;

              while(broj!=0)
              {
                int temp = Convert.ToInt32(broj % 10);
                  if(temp>=5)
                  {
                      temp -= 5;
                      br++;
                  }
                  if(temp>=2)
                  {
                    br += temp / 2;
                    temp -= 2;
                  }
                if (temp == 1)
                    br++;

                  broj = (broj - (broj % 10)) / 10;
            }

            Console.WriteLine(br);
            Console.ReadLine();